package com.xkrs.model.vo;

import javax.persistence.Column;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * SysUserVo
 * @Author tajochen
 */
public class SysUserVo implements Serializable {
    private Integer id;

    private String userName;

    private String nickName;

    private String telephone;

    private LocalDateTime addTime;

    private LocalDateTime lastEntryTime;

    private String lastEntryIp;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 省
     */
    @Column(columnDefinition = "varchar(32)")
    private String province;

    /**
     * 市
     */
    @Column(columnDefinition = "varchar(32)")
    private String city;

    /**
     * 区
     */
    @Column(columnDefinition = "varchar(32)")
    private String county;

    /**
     * 识别码，身份id
     */
    private String identifier;

    /**
     * 用户身份
     */
    private String identity;

    public SysUserVo(Integer id, String userName, String nickName, String telephone, LocalDateTime addTime, LocalDateTime lastEntryTime, String lastEntryIp, String avatar, String province, String city, String county, String identifier, String identity) {
        this.id = id;
        this.userName = userName;
        this.nickName = nickName;
        this.telephone = telephone;
        this.addTime = addTime;
        this.lastEntryTime = lastEntryTime;
        this.lastEntryIp = lastEntryIp;
        this.avatar = avatar;
        this.province = province;
        this.city = city;
        this.county = county;
        this.identifier = identifier;
        this.identity = identity;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    public LocalDateTime getLastEntryTime() {
        return lastEntryTime;
    }

    public void setLastEntryTime(LocalDateTime lastEntryTime) {
        this.lastEntryTime = lastEntryTime;
    }

    public String getLastEntryIp() {
        return lastEntryIp;
    }

    public void setLastEntryIp(String lastEntryIp) {
        this.lastEntryIp = lastEntryIp;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    @Override
    public String toString() {
        return "SysUserVo{" +
                "id=" + id +
                ", userName='" + userName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", telephone='" + telephone + '\'' +
                ", addTime=" + addTime +
                ", lastEntryTime=" + lastEntryTime +
                ", lastEntryIp='" + lastEntryIp + '\'' +
                ", avatar='" + avatar + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", county='" + county + '\'' +
                ", identifier='" + identifier + '\'' +
                ", identity='" + identity + '\'' +
                '}';
    }
}

